<?php
//En este modelo se encuentran todas las consultas realizadas en la tabla de Clientes  (Administrador general)
class Clientes_Model extends CI_Model
{
    function fetch_data()

{
   $this->db->join('franquicias','Franquicias_IdFranquicias = IdFranquicias','inner');
   $this->db->join('zona','Zona_IdZona= IdZona','inner');
   $this->db->order_by("IdClientes", "NombreCliente");$query = $this->db->get("clientes");
  return $query->result();
}
    function actiongeneral()
{
  $this->load->model("clientes_model");
  $this->load->library("excel");
}      
//Consulta que muestra las Franquicias registradas
    public function BuscarFranq(){
     $query = $this->db-> query('SELECT IdFranquicias,NombreFranquicia FROM franquicias'); 
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->IdFranquicias, ENT_QUOTES)] = htmlspecialchars($row->NombreFranquicia, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
}  
//consulta que hace la busqueda del cliente dependiendo de la franquicia
    public function buscarporfran($query) {
    $this->db->where('Franquicias_IdFranquicias', $query);
     //Valida que se haya hecho la consulta
    $query = $this->db->get('clientes');
    if ($query->num_rows() > 0){
      return $query;
    }else{
      //  echo "<script>alert('No se encontrarón los datos solicitados');</script>";
      // redirect('reportes/Administrador/RClientes','refresh');
      echo "<script>alert('No se encontrarón los datos solicitados');
                 window.location.href='".base_url()."reportes/Administrador/RClientes';
                 </script>";
    }
}  
//Consulta que muestra las zonas registradas   
    public function BuscarZona(){
     $query = $this->db-> query('SELECT IdZona,NombreZona FROM zona'); 
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->IdZona, ENT_QUOTES)] = htmlspecialchars($row->NombreZona, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
}  
  //Consulta que hace la busqueda de la franquicia dependiendo la zona
    public function buscarporzona($query) {
    $this->db->where('Zona_IdZona', $query);
     //Valida que se haya hecho la consulta
    $query = $this->db->get('Clientes');
    if ($query->num_rows() > 0){
      return $query;
    }else{
    }
  }
}